CVE-2005-1973
CVSS5.1
发布时间 :2005-06-16 00:00:00
修订时间 :2016-10-17 23:23:41
NMCOS    

[原文]Java Web Start in Java 2 Platform Standard Edition (J2SE) 5.0 and 5.0 Update 1 allows applications to assign permissions to themselves and gain privileges.


[CNNVD]Java 2 Platform Standard Edition 未知特权提升漏洞(CNNVD-200506-168)

        Java 2 Platform Standard Edition (J2SE) 5.0和5.0 Update 1 版本中的Java Web Start软件允许应用程序将权限分配给自己,并获得特权。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:sun:j2se:5.0_update1::sdk
cpe:/a:sun:j2se:5.0::sdk

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1973
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1973
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200506-168
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=112870351003598&w=2
(UNKNOWN)  HP  SSRT051003
http://securityreason.com/securityalert/61
(UNKNOWN)  SREASON  61
http://sunsolve.sun.com/search/document.do?assetkey=1-26-101748-1
(VENDOR_ADVISORY)  SUNALERT  101748
http://www.securityfocus.com/bid/13945
(UNKNOWN)  BID  13945
http://www.securityfocus.com/bid/13958
(UNKNOWN)  BID  13958

- 漏洞信息

Java 2 Platform Standard Edition 未知特权提升漏洞
中危 资料不足
2005-06-16 00:00:00 2005-10-20 00:00:00
远程  
        Java 2 Platform Standard Edition (J2SE) 5.0和5.0 Update 1 版本中的Java Web Start软件允许应用程序将权限分配给自己,并获得特权。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Sun Java 2 Runtime Environment 1.4.2 _03
        Sun J2SE 5.0 (1.5.0) Update 2
        http://java.sun.com/j2se/1.5.0/index.jsp
        Sun Java 2 Runtime Environment 1.5
        Sun J2SE 5.0 (1.5.0) Update 2
        http://java.sun.com/j2se/1.5.0/index.jsp
        Sun Java 2 Standard Edition SDK 1.5 _01
        Sun J2SE 5.0 (1.5.0) Update 2
        http://java.sun.com/j2se/1.5.0/index.jsp
        Sun JRE (Linux Production Release) 1.5 _01
        Sun J2SE 5.0 (1.5.0) Update 2
        http://java.sun.com/j2se/1.5.0/index.jsp
        Sun Java 2 Standard Edition SDK 1.5
        Sun J2SE 5.0 (1.5.0) Update 2
        http://java.sun.com/j2se/1.5.0/index.jsp

- 漏洞信息

17299
Sun Java Web Start Untrusted Application Privilege Escalation
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

Java 2 Platform Standard Edition (J2SE) contains a flaw that may allow a remote attacker to gain access to unauthorized privileges. The issue is triggered due to an unspecified flaw in Java Web Start, which may allow an untrusted application to grant itself permissions to arbitrary read and write files and/or execute arbitrary applications resulting in a loss of integrty.

- 时间线

2005-06-13 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 5.0 Update 2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Sun Java Web Start Unspecified Privilege Escalation Vulnerability
Unknown 13945
Yes No
2005-06-14 12:00:00 2006-09-05 11:23:00
The vendor disclosed this issue.

- 受影响的程序版本

Sun SDK (Linux Production Release) 1.5 _01
Sun SDK (Linux Production Release) 1.5
Sun JRE (Linux Production Release) 1.5 _01
Sun Java 2 Runtime Environment 1.5
Sun Java 2 Runtime Environment 1.4.2 _03
+ Oracle Oracle10g Application Server 10.1 .0.2
+ Oracle Oracle10g Application Server 10.1 .0.2
+ Oracle Oracle10g Application Server 10.1 .0.2
+ Oracle Oracle10g Enterprise Edition 10.1 .0.2
+ Oracle Oracle10g Enterprise Edition 10.1 .0.2
+ Oracle Oracle10g Enterprise Edition 10.1 .0.2
+ Oracle Oracle10g Personal Edition 10.1 .0.2
+ Oracle Oracle10g Personal Edition 10.1 .0.2
+ Oracle Oracle10g Personal Edition 10.1 .0.2
+ Oracle Oracle10g Standard Edition 10.1 .0.2
Slackware Linux 10.1
Slackware Linux 10.0
Slackware Linux 9.1
Slackware Linux 9.0
Slackware Linux 8.1
Slackware Linux -current
HP HP-UX B.11.23
HP HP-UX B.11.11
Gentoo Linux
Blackdown Java 2 Standard Edition SDK 1.4.2 -01
Blackdown Java 2 Standard Edition SDK 1.4.2
Blackdown Java 2 Standard Edition SDK 1.4.1
Blackdown Java 2 Runtime Environment 1.4.2 -01
Blackdown Java 2 Runtime Environment 1.4.2
Blackdown Java 2 Runtime Environment 1.4.1
Sun SDK (Linux Production Release) 1.5 _03
Sun SDK (Linux Production Release) 1.5 _02
Sun JRE (Linux Production Release) 1.5 _05
Sun JRE (Linux Production Release) 1.5 _02
Blackdown Java 2 Standard Edition SDK 1.4.2 -02
Blackdown Java 2 Runtime Environment 1.4.2 -02

- 不受影响的程序版本

Sun SDK (Linux Production Release) 1.5 _03
Sun SDK (Linux Production Release) 1.5 _02
Sun JRE (Linux Production Release) 1.5 _05
Sun JRE (Linux Production Release) 1.5 _02
Blackdown Java 2 Standard Edition SDK 1.4.2 -02
Blackdown Java 2 Runtime Environment 1.4.2 -02

- 漏洞讨论

Sun Java Web Start is prone to an unspecified privilege-escalation vulnerability.

This vulnerability allows remote, untrusted Java applications to gain elevated privileges. This allows them to read or write local files, or to execute arbitrary local applications. These actions are normally forbidden for untrusted applications running in the Java virtual machine.

Further details are not available at this time. This BID will be updated as more information is disclosed.

Reports from Harry Johnston indicate that the OraClient 10g component of Oracle Database Server 10g incorporates a vulnerable version of the Java Runtime Environment and is therefore vulnerable to this issue.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or if you are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The vendor has released upgraded versions of the affected software as well as Sun Alert ID 101748 to address this issue. Please see the referenced alert for more information.

Further analysis has revealed that Gentoo advisory GLSA 200506-14 does not apply to this BID. The advisory is being removed.

Slackware has released advisory SSA:2005-170-01 to address this issue. Please see the referenced advisory for more information.

HP has released advisory HPSBUX01214 (SSRT051003 rev.0 - HP-UX Java Web Start remote unauthorized privileged access) to address this issue in HP-UX B.11.11 and HP-UX B.11.23. Please see the referenced advisory for more information.


Sun Java 2 Runtime Environment 1.4.2 _03

Sun Java 2 Runtime Environment 1.5

Sun SDK (Linux Production Release) 1.5 _01

Sun JRE (Linux Production Release) 1.5 _01

Sun SDK (Linux Production Release) 1.5

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站